/****
 * CIntelligentWindow.h
 *
 *	This class makes the Window a little more intelligent.
 *
 *	Copyright  1993 Quipus, by Mrten Srliden.  All rights reserved.
 *
 ****/

#define _H_CIntelligentWindow			/* Include this file only once */

#include <CWindow.h>

class CDesktop;
class CDirector;


struct CIntelligentWindow : CWindow {

    short   		wNum;
    Boolean		stdStateChanged;
    short		lastDirection;

/** Construction and destruction methods **/
	void		IIntelligentWindow(short WINDid, Boolean aFloating, CDesktop *anEnclosure, CDirector *aSupervisor);
	void		Dispose(void);

/** Accessing methods **/
	void		SetTitle(Str255 theTitle);
	void		SetDefaultTitle(void);
	short	GetWNum(void);
	void		SetStdState(Rect *aStdState);

/** Size and location methods **/
	void		Drag(EventRecord *macEvent);
	void		Resize(EventRecord *macEvent);
	void		Zoom(short direction);
	void		UpdateStdState(void);
	void		UpdateUserState(void);
};
